#define FRW_EFULL		-1	/* too many open text files */
#define FRW_EBAD		-2	/* bad descriptor */
#define FRW_ENOFILE		-3	/* file does not exist */
#define FRW_EOPEN		-4	/* file open error, errno is set */
#define FRW_EREAD		-5	/* file read error, errno is set */
#define FRW_ETYPE		-6	/* not a plain file */
#define FRW_ESAFE		-7	/* unsafe mode - word writable file */
#define FRW_ESIZELIMIT	-8	/* too many bytes */
#define FRW_ELINELIMIT	-9	/* too many lines */

extern int txtfile_open(const char *, size_t);
extern int txtfile_close(int);
extern int txtfile_split(int, size_t);
extern int txtfile_linecnt(int);
extern const char *txtfile_line(int, int);
extern const char *txtfile_strerror(int);
extern FILE *txtfile_fopen(const char *);
extern int txtfile_fclose(FILE *);
